import {Component, EventEmitter, Input, Output} from '@angular/core';

@Component({
  selector: 'app-comp-modal',
  templateUrl: './comp-modal.component.html',
  styleUrls: ['./comp-modal.component.scss']
})
export class CompModalComponent {
  @Input() title!: string;
  @Input() content!: string;
  @Input() isShow!: boolean;
  @Output() okClicked = new EventEmitter<void>();
  @Output() cancelClicked = new EventEmitter<void>();
  isVisible = false;

  handleOk(): void {
    console.log('Button ok clicked!');
    this.isShow = false;
    this.okClicked.emit();
  }

  handleCancel(): void {
    console.log('Button cancel clicked!');
    this.isShow = false;
    this.cancelClicked.emit();
  }
}
